function Array(size,value)
    local array = {}
    for i = 1, size do
        array[i]=value
    end
    return array
end

--[[ This is an example table
users_table = {{You usgn ID goes here,Your privlege goes here}}--You may look below to the table provided for an example]] 

users_table = {{18627,priv_admin},{13445,priv_admin}}
user_level = Array(32,0)
priv_nonuser = 0
priv_user = 1
priv_mod = 2
priv_admin = 3
command_table = {}

dofile("sys/lua/admin_system/functions.lua")
dofile("sys/lua/admin_system/commands.lua")

addhook("leave","_leave")
function _leave(id)
	user_level[id] = priv_nonuser
end
-- this is our say hook
function hook_say(id, txt)
	
	local t = {}		-- this will be the table containing the
						-- words separated by a space
	for w in string.gmatch( txt, "%S+" ) do
		-- "%s" is all spaces
		-- "%S" is all none spaces
		-- the "+" tells it to get the longest string it can
		-- example:
		--		string.gmatch("abc def", "%S")
		-- will give "a", "b", "c", "d", "e", "f"
		-- however
		--		string.gmatch("abc def", "%S+")
		-- will give "abc", "def"
		-- there is much more to string.gmatch and similar commands
		-- research them!
		
		t[ #t + 1 ]	= w	-- insert the word into the table t
		-- #t returns the length of t
		-- so at first it is 0
		-- we add one to put the first word at t[1]
	end
	-- t[1] will be the command
	-- #t will be the last parameter/option
	-- t[ 2 through #t ] = the parameters/options of the command
	
	local cmd = t[1]		-- we store the command
	table.remove(t, 1)				-- remove the first index (you'll see why in a minute)
	
	-- now we look at all the commands to see if we can find
	-- the command the user is attemting to use
	for k, v in pairs(command_table) do
		-- k will be the index (ex: 1)
		-- v will be the command table (ex: {"@ban", priv_admin, func})
		
		-- check if v is the command
		if ( v[1] == cmd ) then
			-- we found it!
			if ( v[2] >= user_level[id]) then
				-- remember the 3rd index of the command describer table is a function
				
				v[3](	id,			-- the id of who is calling the command
						unpack( t )	-- the parameters/options of the command
					)
				-- you probably don't know what unpack( t ) does
				-- I'll try to explain
				-- lets say we use this code
				--		unpack( { 1, 2, 3} )
				-- that will return three different values
				--		1, 2, 3
				-- you can store them in variables
				-- 		one, two, three = unpack( {1, 2, 3} )
				-- or just a table
				-- 		once = { unpack(1, 2, 3) }
				-- you can pass them to functions
				--		print( unpack({1, 2, 3}) )
				--		prints: 1	2	3
				
				-- remember we removed the first index of t
				-- that was the command name (example "@ban")
				-- now all that is left are the parameters
				-- so we use unpack to get the separate indexes of t as different values
				-- and these values are passed to the commands function
				
				-- we are done so lets get out of this function
				return 1
			else
				-- the user has insufficient privlages
				-- tell them it doesn't exist
				msg2(id, "Command doesn't exists")
				-- leave the function
				return 1
			end
		end
	end
	
	-- well we went through the command table and didn't find it
	-- tell the user it doesn't exist
	msg2(id, "Command doesn't exist")
	
	-- return 1 so the message doesn't appear
	return 1
end

-- add our hook
addhook("say", "hook_say")