function add_command(cmd, priv, func, info)		-- function to add command
	table.insert(command_table,  { cmd,				-- the cmd such as "@ban"
							priv,				-- the required mode (nonuser, user, mod, admin)
							func,				-- a function to be called on use
							info or " "			-- the command info
						  }
						)
end

function admin_ban(id, banid, banwhat, reason)
	-- id is who is using the command (all cmds will have this)
	-- banid who we are banning
	-- banwhat (optional) should we ban ip, usgn, name, or a mix?
	-- reason (optional) give the reason for the ban
	
	-- if bandwhat wasn't given
	if ( not banwhat ) then
		-- give it a default value
		banwhat = "ip,usgn"
	end
	
	-- same as above, but without using if
	-- I will explain this if you don't understand
	reason = reason or "Reason unspecified"
	
	if ( player(banid, "exists") ) then
		banwhat = banwhat:lower() -- conver all character to lowercase
		if ( banwhat:find("ip") ) then
			msg2(id, "Cannot ban by IP from command, use console/rcon")
	-- AFAIK player(id, "ip") always returns 0.0.0.0 so it will always fail
		end

		if ( banwhat:find("usgn") ) then
			parse("banusgn "..player(tonumber(banid), "usgn"))
		end

		if ( banwhat:find("name") ) then
			parse("banname "..banid)
		end
	else
		-- the "@C" centers the text
		msg2(id, "255000000Error: There is no user with the id of "..banid.."@C")
		-- command failed
		return false
	end
	
		msg2(id, "255000000"..player(id,"name").." has banned "..player(banid,"name"))
	return true
end

function mod_switch()
	for i=1,32 do
		if player(i,"team")==1 then
			parse("makect "..i)
		elseif player(i,"team")==2 then
			parse("maket "..i)
		end
	end
end

function mod_kick(id)
	if player(id,"exists") then
		parse("kick "..id)
	else
		msg2(id,"255000000There is no player with the id of "..id.."@C")
	end
end

function mod_slap(id)
	if player(id,"exists") then
		parse("slap "..id)
	else
		msg2(id,"255000000There is no player with the id of "..id.."@C")
	end
end

function non_reset(id)
	if player(id,"deaths") >= 1 then
		parse("setdeaths "..id.." 0")
		parse("setscore "..id.." 0")
		msg("255255255"..player(id,"name").." reset his score using !resetscore.")
	else
		msg2(id,"255000000You need to have atleast 1 death to reset your score!")
	end
end

function admin_mix()
	msg("255255255Mixteam is Starting!@C")
	parse("sv_fow 1")
	parse("sv_password match")
	parse("mp_roundtime 2")
	parse("mp_c4timer 35")
	parse("sv_name MixTeam")
	parse("mp_startmoney 800")
	parse("mp_freezetime 5")
	parse("restart 5")
end

function mod_spec(id)
	if player(id,"exists") then
		parse("makespec "..id)
	else
		msg2(id,"255000000There is no player with the id of "..id.."@C")
	end
end

function user_broad(id,t)
	msg("000255255"..player(id,"name").."(BROADCAST): "..t)
end

function mod_speca(id)
	for i=1,32 do
		if player(i,"exists") then
			parse("makespec "..i)
		end
	end
end

function admin_t(id)
	if player(id,"exists") then
		parse("maket "..id)
	else
		msg2(id,"255000000There is no player with the id of "..id.."@C")
	end
end

function admin_ct(id)
	if player(id,"exists") then
		parse("makect "..id)
	else
		msg2(id,"255000000There is no player with the id of "..pid.."@C")
	end
end

function admin_slapa(id)
	for i=1,32 do
		if player(i,"exists") then
			parse("slap "..i)
		end
	end
end

function admin_knife(id,id2)
	for _,id2 in pairs(player(0,"tableliving")) do
		for _,wpn in pairs(playerweapons(id2)) do
			parse("strip "..id2.." "..wpn)
		end
	end
end

function admin_killa(id)
	for i=1,32 do
		if player(i,"exists") then
			parse("kill "..i)
		end
	end
end